=== debian/changelog ===
firejail (0.9.74-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and drop obsolete sections.
  * Import source for memwrexe-32 from git repository.
  * autopkgtest:
    - update test dependencies to improve compatibility with Ubuntu
      (Closes: #1065579).
    - Mark smoke-tests as flaky as they are too fragile.
    - drop firefox and thunderbird from test dependencies.
  * Replace pkg-config build-dependency with pkgconf.
  * Move renamed profiles via maintscript-helper.
  * Bump Standards-Version to 4.7.2.
  * Bump copyright years.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 20 Apr 2025 23:43:13 +0200

firejail (0.9.72-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on armhf by #undef-ining _FILE_OFFSET_BITS and _TIME_BITS in a
    couple of places. (Closes: 1069449)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 13 Mar 2025 06:59:57 +0100
