=== debian/control ===
Source: firejail
Section: utils
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper-compat (= 13), dh-apparmor, gawk, libapparmor-dev, libselinux1-dev, pkgconf
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://firejail.wordpress.com
Vcs-Git: https://salsa.debian.org/reiner/firejail.git
Vcs-Browser: https://salsa.debian.org/reiner/firejail

Package: firejail
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: firejail-profiles, iproute2, iptables, xauth, xdg-dbus-proxy, xpra | xserver-xephyr | xvfb
Description: sandbox to restrict the application environment
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.

Package: firejail-profiles
Architecture: all
Depends: ${misc:Depends}, firejail
Replaces: firejail (<< 0.9.46~rc1-1)
Breaks: firejail (<< 0.9.46~rc1-1)
Description: profiles for the firejail application sandbox
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.
 .
 This package contains firejail profiles for various applications.
