=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-apparmor --enable-selinux --enable-contrib-install=no --enable-ids

override_dh_fixperms-arch:
	dh_fixperms -Xfshaper.sh -Xfcopy -Xfldd -Xfnet -Xfnetfilter -Xfsec-optimize -Xfsec-print -Xfseccomp
	chmod 4755 debian/firejail/usr/bin/firejail

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

override_dh_installdocs:
	dh_installdocs -Xupdate_deb.sh

override_dh_auto_install:
	dh_auto_install
	# documentation will be installed by debhelper
	rm --verbose -rf debian/tmp/usr/share/doc/firejail

override_dh_install:
	dh_install -pfirejail
	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
	dh_apparmor -pfirejail --profile-name=firejail-default

override_dh_missing:
	dh_missing -pfirejail --fail-missing
	dh_missing -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile

override_dh_auto_test:
	# skip tests here as they are run as autopkgtest

override_dh_compress:
	dh_compress -Xsyscalls.txt -Xprofile.template -Xcontrib
