=== src/fids/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fids
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

include $(ROOT)/src/prog.mk
