=== src/firecfg/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = firecfg
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

EXTRA_OBJS = ../lib/common.o ../lib/firejail_user.o

include $(ROOT)/src/prog.mk
