=== debian/changelog ===
firejail (0.9.76-1) unstable; urgency=medium

  * New upstream release.
    - create missing SELinux labels (Closes: #1104634)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 24 Aug 2025 15:41:56 +0200
