=== debian/watch ===
version=4
opts=searchmode=plain,uversionmangle=s/(\d)\-?(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
https://api.github.com/repos/netblue30/firejail/releases https://github.com/netblue30/firejail/releases/download/[^/]+/firejail-@ANY_VERSION@@ARCHIVE_EXT@
