=== src/fbwrap/Makefile ===
.SUFFIXES:
ROOT = ../..
-include $(ROOT)/config.mk

MOD = fbwrap
MOD_DIR = $(ROOT)/src/$(MOD)
PROG = $(MOD_DIR)/$(MOD)
TARGET = $(PROG)

#EXTRA_OBJS = ../lib/common.o ../lib/pid.o

include $(ROOT)/src/prog.mk
