=== debian/changelog ===
firejail (0.9.78-1) unstable; urgency=medium

  * New upstream release.
    - removal of overlay and ids features
    - fixes crash of applications using glycin 2.0.0 via gdk-pixbuf2
      (Closes: #1126827)
  * Update Standards-Version to 4.7.3:
    - drop Priority: optional, as the field is no longer recommended
  * Update copyrights.
  * Drop ids configure switch.
  * Remove ids.config during upgrades.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 07 Feb 2026 18:39:18 +0100
