=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: firejail
 Section: utils
-Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 13), dh-apparmor, gawk, libapparmor-dev, libselinux1-dev, pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/reiner/firejail.git
